%define mod_name Devel-PPPort

Name:           perl-Devel-PPPort
Version:        3.63
Release:        2
Summary:        Perl Pollution Portability header generator
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/%{mod_name}-%{version}.tar.gz
BuildRequires:  findutils gcc make perl-devel perl-generators perl-interpreter perl(ExtUtils::MakeMaker) perl(strict) perl(vars)
# For tests:
BuildRequires:  perl(Config) perl(DynaLoader) perl(File::Path) perl(Tie::Hash) perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Perl's API has changed over time, gaining new features, new functions,
increasing its flexibility, and reducing the impact on the C name space
environment (reduced pollution). The header file written by this module,
typically ppport.h, attempts to bring some of the newer Perl API features
to older versions of Perl, so that you can worry less about keeping track
of old releases, but users can still reap the benefit.

%package    help
Summary:    Doc files for %{name}
Buildarch:  noarch

%description    help
The %{name}-help package contains doc files for %{name}.

%{?perl_default_filter}

%prep
%setup -q -n %{mod_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
make pure_install DESTDIR=%{buildroot}
find '%{buildroot}' -type f -name '*.bs' -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes HACKERS soak
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*

%files help
%{_mandir}/*/*

%changelog
* Mon Oct 31 2022 hongjinghao <hongjinghao@huawei.com> - 3.63-2
- use %{mod_name} marco

* Tue Nov 23 2021 shixuantong <shixuantong@huawei.com> - 3.63-1
- upgrade version to 3.63

* Wed Jan 27 2021 liudabo <liudabo1@huawei.com> - 3.62-1
- upgrade version to 3.62

* Thu Jul 23 2020 xinghe <xinghe1@huawei.com> - 3.58-1
- update version to 3.58

* Sat Sep 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.42-4
- Package init
